Subject: Re: [PATCH v8 10/10] ce_compare_data() did not respect conversion

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 May 2016 10:11:57 -0700

Torsten Bögershausen <[email-masked]> writes:

> We only need to pay extra attention when there is an external
> clean/smudge filter defined - otherwise we should be able to skip
> it - after 10/10.

The last two words worries me.  The goal of the suggested fix was to
make sure that

	$ git reset --hard && git diff

reports that there _are_ differences in the working tree files, if
the to-git and to-working-tree conversion do not round-trip.  It is
a total opposite of 10/10, which hides the fact that working tree
contents, if added to the index, would change the index.